Bug 499860 - Ability to define tmpdir in /etc/sysconfig/rhn/up2date
Ability to define tmpdir in /etc/sysconfig/rhn/up2date
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhnlib (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Pradeep Kilambi
Petr Sklenar
:
Depends On: 443366
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 11:45 EDT by Pradeep Kilambi
Modified: 2010-02-23 07:20 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 443366
Environment:
Last Closed: 2009-09-02 07:20:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 8 Petr Sklenar 2009-07-15 06:29:03 EDT
adding keywords: SanityOnly and  leaving ON_QA
patch is there and applicable:
-------------
sanity test 1:
cat /etc/sysconfig/rhn/up2date  | grep tmpDir
tmpDir[comment]=Use this Directory to place the temporary transport files
tmpDir=/newtmp


I wrote in the end of file /usr/lib/python2.4/site-packages/rhn/SmartIO.py :

x=getDefaultStorage
print x()

when yum starts than tempdir was shown:

# yum install zsh
/tmp
/tmp
/newtmp
/newtmp
/newtmp
Loaded plugins: rhnplugin, security
etc
-------------
sanity test 2:
RHN PROXY works as expected, could download many package
=========
all tests seems OK, verified
Comment 10 errata-xmlrpc 2009-09-02 07:20:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1353.html

Note You need to log in before you can comment on or make changes to this bug.